#!/bin/bash
#http://bleachbit.sourceforge.net/
#
# script : til <rob DOT til DOT freedman AT googlemail DOT com>
set -e -u -x
#
# bleachbit
version=0.8.4
build=66.1
arch=noarch

pkgname=bleachbit-$version
package=$pkgname-$arch-$build

# the source
PKG_SRC="http://downloads.sourceforge.net/bleachbit/bleachbit-$version.tar.bz2
http://zenwalk.pinguix.com/user-accounts/tilderb/extra/xap/bleachbit/build-bleachbit.sh"

PKG_DEP="python"

# check source packages
for url in $PKG_SRC;do [ ! -e ${url##*/} ] && (echo "download: $url"; wget -N -c $url) done
#
CWD=$(pwd)
TMP=${TMP:-$CWD/tmp}

PKG=$TMP/$package
SRC=$TMP/$pkgname

test -d $SRC && rm -fr $SRC 
test -d $PKG && rm -fr $PKG

# prepare build directory
mkdir -p $SRC $PKG/{install,usr/{src,doc}/$pkgname}

tar xf $CWD/$pkgname.tar.bz2 --strip-components=1 -C $SRC
cd $SRC

make prefix=/usr DESTDIR=$PKG install 
cp -a COPYING README PKG-INFO $PKG/usr/doc/$pkgname
cd $PKG

# slack-desc
#       |-----handy-ruler------------------------------------------------------|
cat <<EOF > install/slack-desc
bleachbit: bleachbit (free disk space and maintain privacy)
bleachbit:
bleachbit: Deletes unneeded files to free disk space and maintain privacy
bleachbit:
EOF
#
cat <<"EOF" >usr/bin/bleachbit-admin
#!/bin/sh
exec gksu /usr/bin/bleachbit "$@"
EOF
chmod +x usr/bin/bleachbit-admin
#
cat <<EOF >usr/share/applications/bleachbit-admin.desktop
[Desktop Entry]
Type=Application
Name=BleachBit (Admin)
GenericName=Unnecessary file cleaner (admin mode)
Comment=Free space and maintain privacy
TryExec=bleachbit-admin
Exec=bleachbit-admin
Icon=bleachbit
Categories=GTK;System
StartupNotify=true
EOF
#
sed -i "s/GTK;System/GTK;Utility/" usr/share/applications/bleachbit.desktop

cp $CWD/build-bleachbit.sh usr/src/$pkgname
cd $PKG
fakeroot /sbin/makepkg -l y -c n $CWD/$package.txz

cd $CWD
echo $PKG_DEP >$package.dep
echo -e "$PKG_SRC" >$package.src
md5sum $package.txz >$package.md5


